From: <a href="/blend/av.cgi?id=1096">beautifulstranger</a><BR>
Date: 14 July 2006<P>

Kirk,<BR>
Do you think you could remove my posts from 2003?  They're a bit embarassing... lots of misdirected sophomore angst, if you know what I mean.  I've grown up a lot since then... I'd kind of like to get those out of my memory, if you wouldn't mind.  The 2006 ones I am proud of and can stay.
<HR>
From: <a href="/blend/av.cgi?id=900">rennielorca</a><BR>
Date: 14 July 2006<P>

I don't cry. But today I read the posts and try to comment and I start to cry. Today, he comes back here and we argue all over again because he thinks he has the power to yank my heart out over and over again. BUT today, I am not alone because I've read so many of your posts and see I am in similar territory to what most all here have felt at one time or another. Think I'll cry and get it over with so I won't do it when he gets to the gate. B.K., thanks so much for the call this AM. I didn't function until after that call . . . . . . Rennie
<HR>
From: <a href="/blend/av.cgi?id=900">rennielorca</a><BR>
Date: 14 July 2006<P>

He came in wiped-out from the heatwave and hours on the road from the Gulf. I couldn't be angry or mean--Kick Me! . . . . . . Rennie
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 14 July 2006<P>

Rens; Don't look at him as the handsome man but the jerk that did what he did to you and will do it again if you let him. Don't give him any space to move in and just remember your forehead does not say "Walk Here".<BR>
<BR>
bk
<HR>